import org.easymock.classextension.EasyMock;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.powermock.PowerMock;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;


@RunWith(PowerMockRunner.class)
@PrepareForTest(MyUtils.class)
public class MyClassTestPMock {

	@Test
	public void testSum() throws MyException {
		
		PowerMock.mockStatic(MyUtils.class);
		EasyMock.expect(MyUtils.isValid(1)).andReturn(true);
		PowerMock.replay(MyUtils.class);
		
		MyClass myclass = new MyClass();
		int result = myclass.sum(1, 2);
		PowerMock.verify(MyUtils.class);
		
		Assert.assertTrue(result == 3);
	}
	
	
	@Test(expected=MyException.class)
	public void testSum2() throws MyException {
				
		MyClass myclass = new MyClass();
		myclass.sum(100, 2);
		
	}
}
